This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473968 - [RFE] add gspca_m5602 driver to F10 kernel
[RFE] add gspca_m5602 driver to F10 kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 11:53 EST by drago01
Modified: 2009-12-18 02:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:05:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description drago01 2008-12-01 11:53:08 EST
The gspca_m5602 driver supports alot of webcams that are built into laptops. This driver has been merged into linus tree for 2.6.28. 

Can we backport this to the F10 kernel builds? It will increase the number of supported webcams and we won't have to carry a non upstream patch forever (as soon as we rebase to 2.6.28 it can be dropped)

I tested the driver on my laptop and it works with no problems so far.

Thoughts / comments?
Comment 1 Hans de Goede 2008-12-02 08:04:50 EST
I understand your request, but given the rate at which new drivers are being added to the new gspca now in the kernel, we would need to rebase to the latest gspca quite often. Also 2.6.28 is already looking pretty good, I expect it to be a good cycle, so it might be a good idea to just wait for 2.6.28.
Comment 2 drago01 2008-12-02 08:29:30 EST
(In reply to comment #1)
> I understand your request, but given the rate at which new drivers are being
> added to the new gspca now in the kernel, we would need to rebase to the latest
> gspca quite often. Also 2.6.28 is already looking pretty good, I expect it to
> be a good cycle, so it might be a good idea to just wait for 2.6.28.

OK, fair enough.
Comment 3 Filipe Rosset 2009-04-29 02:18:17 EDT
(In reply to comment #2)
> OK, fair enough.  

If you need new gspca drivers is a good idea update your v4l2 installation and modules.

hg clone http://linuxtv.org/hg/v4l-dvb v4l/
cd v4l/
make
make install
modprobe gspca_m5602
Comment 4 drago01 2009-04-29 05:09:45 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > OK, fair enough.  
> 
> If you need new gspca drivers is a good idea update your v4l2 installation and
> modules.
> 
> hg clone http://linuxtv.org/hg/v4l-dvb v4l/
> cd v4l/
> make
> make install
> modprobe gspca_m5602  

I know how to compile the driver by hand, but this was not the point.

Anyway this is 2.6.29 which is in updates-testing and works fine.
Comment 5 Filipe Rosset 2009-04-29 07:32:40 EDT
Very good, Fedora 11 includes kernel 2.6.29.1.
Thanks for your feedback.
Comment 6 Bug Zapper 2009-11-18 05:15:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:05:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.